Bug 140779 - Add help page for CSV filter options
Summary: Add help page for CSV filter options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-03-03 14:23 UTC by Mike Kaganski
Modified: 2021-11-08 19:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2021-03-03 14:23:41 UTC
CSV command line options are described in https://wiki.openoffice.org/wiki/Documentation/DevGuide/Spreadsheets/Filter_Options (see also bug 98153 comment 5). It would be great to have a dedicated help page for this, with the description plus a couple of examples: for importing CSV with parameters, and for exporting CSV with parameters. This page should be linked from respective entry at https://help.libreoffice.org/latest/en-US/text/shared/guide/convertfilters.html.
Comment 1 sdc.blanco 2021-03-03 16:48:09 UTC
https://help.libreoffice.org/7.2/en-US/text/shared/00/00000207.html  gives description of export filter seetings

>  for importing CSV with parameters,
>  couple of examples for exporting with parameters. 
>  CSV command line options are describe
Needs to be added to just named page.
Comment 2 sdc.blanco 2021-03-03 16:54:28 UTC
https://help.libreoffice.org/7.2/en-US/text/shared/00/00000208.html gives the settings for import, but again without examples or command-line options
Comment 3 Mike Kaganski 2021-03-03 16:58:24 UTC
Then likely we need a template with the command line parameters that would be inserted there... if we don't want a dedicated page. It actually might be difficult to decide where to point from https://wiki.openoffice.org/wiki/Documentation/DevGuide/Spreadsheets/Filter_Options, if it would be one of two related, but "opposite" dialogs...
Comment 4 sdc.blanco 2021-03-03 17:00:48 UTC
(In reply to Mike Kaganski from comment #3)
> Then likely we need a template with the command line parameters that would
> be inserted there... 
Possibly command-line parameters go here:
https://help.libreoffice.org/7.2/en-US/text/scalc/guide/csv_formula.html
Comment 5 Mike Kaganski 2021-03-03 17:02:56 UTC
or maybe even to https://help.libreoffice.org/7.2/en-US/text/scalc/guide/csv_files.html
Comment 6 Commit Notification 2021-10-25 17:18:41 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/56638af603a79cd9330752fab99a7769ace9ffaa

tdf#140779, tdf#140780 filter params for CSV, lotus...